230
Customers have installed this add-on in at least 230 active instances.
    by codeclou.iofor Confluence Server 5.9.1 - 5.10.6 and more versions
    Versions available for Confluence Server 4.1 - 5.8.18
    Unsupported
    This add-on isn't formally supported, but you can ask a question via Atlassian Answers.

    Ask a question

    Supported
    codeclou.io supports this add-on.

    Get support

    Data Center
    This add-on is compatible with the clustering and high-availability capabilities of our products.
    Get it nowFree add-on

    The macro offers you the possibility to render different configurations based on one base-configuration and placeholders

    The macro offers you the possibility to render different configurations based on one base-configuration and placeholders

    Store your configuration files centrally

    Syntax highlighting for your source code

    Remote file support

    Move your infrastructure configuration to Confluence® and use placeholders for your different system.

    The macro has automated syntax highlighting and a direct download function for your code snippets.

    You can use the macro together with remote files as long as they are accessible via http.

    More details

    Basic Features:

    • display codeboxes with different configurations (testsystem1, testsystem 2) based on one base-configuration (content).

    See the usage guide for more details:

    For usage questions or bugs please file an issue in the bug tracker:

    Version Notes:

    • v2.2.0 and newer Versions will support Confluence 5.10+ and are Confluence Data Center compatible
    • v2.1.0 and newer Versions will support Confluence 5.9+
    • v2.0.1 will support support Confluence 5.x up to 5.8.x
      • there will be no updates or bugfixes on 2.0.x.x
    • Complete Release Notes

    User reviews

    (1)
    Sign in to write a review »

    Pricing

    Support

    codeclou.io supports Advanced Codeblock Macro. You can raise an issue with the developer to get help.

    Raise an issue

    Versions

    Version 2.2.0 Confluence Server 5.9.1 - 5.10.6 Released 2016-08-27

    Summary

    Confluence 5.10+ Compatibility. Compatible to Confluence Data Center.

    Installation

    1. Log into your Confluence instance as an admin.
    2. Click the admin dropdown and choose Add-ons. The Manage add-ons screen loads.
    3. Click Find new add-ons from the left-hand side of the page.
    4. Locate Advanced Codeblock Macro via search. Results include add-on versions compatible with your Confluence instance.
    5. Click Install to download and install your add-on.
    6. You're all set! Click Close in the Installed and ready to go dialog.

    To find older Advanced Codeblock Macro versions compatible with your instance, you can look through our version history page.

    Similar add-ons